> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Shipment Methods

> Gets valid shipping methods for subscription



## OpenAPI

````yaml /openapi/openapi_subscription.json get /commerce/subscriptions/{subscriptionId}/shipments/methods
openapi: 3.0.1
info:
  description: |-
    <div id="overview_SUBSCRIPTION">
                <h2>SUBSCRIPTIONS</h2>
                <p>The Subscription APIs are used to create and manage subscriptions in either an eCommerce+OMS implementation or a standalone 
                    Subscriptions solution. This includes updating items and quantities, subscription frequency, coupons, and performing actions 
                    on a subscription in addition to turning a subscription into an order. For more information, see the <a href="/pages/product-subscriptions">Subscriptions feature guide</a>.
                </p>
            </div>
  title: Subscriptions
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/subscriptions/{subscriptionId}/shipments/methods:
    get:
      tags:
        - Subscription
      summary: Get Available Shipment Methods
      description: Gets valid shipping methods for subscription
      parameters:
        - in: path
          name: subscriptionId
          required: true
          schema:
            type: string
        - in: query
          name: draft
          schema:
            type: boolean
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SubscriptionRuntimeShippingRate'
                type: array
            text/json:
              schema:
                items:
                  $ref: '#/components/schemas/SubscriptionRuntimeShippingRate'
                type: array
            text/plain:
              schema:
                items:
                  $ref: '#/components/schemas/SubscriptionRuntimeShippingRate'
                type: array
          description: OK
components:
  schemas:
    SubscriptionRuntimeShippingRate:
      description: "How much the customer and merchant pay for shipping based on the current shipping rate. \r\nThe cost can differ between the merchant and customer depending on any merchant discounts or \r\nextra fees."
      properties:
        currencyCode:
          description: >-
            ISO currency code such as US dollars. Currently, only USD is
            supported.
          nullable: true
          type: string
        data:
          description: Custom data returned by the shipping service.
          nullable: true
          type: object
        fulfillmentMethod:
          description: Fulfillment method of the shipping rate. eg) Ship or Delivery
          nullable: true
          type: string
        isValid:
          description: If true, the shipping rate is valid.
          nullable: true
          type: boolean
        messages:
          description: Messages and detail about why the shipping rate may be invalid.
          items:
            type: string
          nullable: true
          type: array
        price:
          description: >-
            How much the customer pays for shipping which includes any shipping
            discounts that the merchant offers.
          format: double
          nullable: true
          type: number
        shippingItemRates:
          items:
            $ref: '#/components/schemas/CommerceRuntimeShippingItemRate'
          nullable: true
          type: array
        shippingMethodCode:
          description: Code that uniquely identifies the selected shipping method.
          nullable: true
          type: string
        shippingMethodName:
          description: Shipping Method Name
          nullable: true
          type: string
        shippingZoneCode:
          description: The shipping zone to which this rate applies.
          nullable: true
          type: string
      type: object
    CommerceRuntimeShippingItemRate:
      properties:
        amount:
          format: double
          nullable: true
          type: number
        itemId:
          nullable: true
          type: string
        quantity:
          format: int32
          nullable: true
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````